.TH wxChoicebook 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxChoicebook \- See external documentation: wxChoicebook\&.
.SH DESCRIPTION
.LP
See external documentation: wxChoicebook <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxChoicebook()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxChoicebook()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookwxchoicebook>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxChoicebook()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxChoicebook()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookwxchoicebook>\&.
.RE
.LP
.B
addPage(This::wxChoicebook(), Page::wxWindow() (see module wxWindow), Text::string()) -> bool()
.br
.RS
.LP
Equivalent to addPage(This, Page, Text, [])\&.
.RE
.LP
.B
addPage(This::wxChoicebook(), Page::wxWindow() (see module wxWindow), Text::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookaddpage>\&.
.RE
.LP
.B
advanceSelection(This::wxChoicebook()) -> ok
.br
.RS
.LP
Equivalent to advanceSelection(This, [])\&.
.RE
.LP
.B
advanceSelection(This::wxChoicebook(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {forward, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookadvanceselection>\&.
.RE
.LP
.B
assignImageList(This::wxChoicebook(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookassignimagelist>\&.
.RE
.LP
.B
create(This::wxChoicebook(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxChoicebook(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookcreate>\&.
.RE
.LP
.B
deleteAllPages(This::wxChoicebook()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookdeleteallpages>\&.
.RE
.LP
.B
deletePage(This::wxChoicebook(), N::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookdeletepage>\&.
.RE
.LP
.B
removePage(This::wxChoicebook(), N::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookremovepage>\&.
.RE
.LP
.B
getCurrentPage(This::wxChoicebook()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookgetcurrentpage>\&.
.RE
.LP
.B
getImageList(This::wxChoicebook()) -> wxImageList() (see module wxImageList)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookgetimagelist>\&.
.RE
.LP
.B
getPage(This::wxChoicebook(), N::integer()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookgetpage>\&.
.RE
.LP
.B
getPageCount(This::wxChoicebook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookgetpagecount>\&.
.RE
.LP
.B
getPageImage(This::wxChoicebook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookgetpageimage>\&.
.RE
.LP
.B
getPageText(This::wxChoicebook(), N::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookgetpagetext>\&.
.RE
.LP
.B
getSelection(This::wxChoicebook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookgetselection>\&.
.RE
.LP
.B
hitTest(This::wxChoicebook(), Pt::{X::integer(), Y::integer()}) -> {integer(), Flags::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookhittest>\&.
.RE
.LP
.B
insertPage(This::wxChoicebook(), N::integer(), Page::wxWindow() (see module wxWindow), Text::string()) -> bool()
.br
.RS
.LP
Equivalent to insertPage(This, N, Page, Text, [])\&.
.RE
.LP
.B
insertPage(This::wxChoicebook(), N::integer(), Page::wxWindow() (see module wxWindow), Text::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookinsertpage>\&.
.RE
.LP
.B
setImageList(This::wxChoicebook(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebooksetimagelist>\&.
.RE
.LP
.B
setPageSize(This::wxChoicebook(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebooksetpagesize>\&.
.RE
.LP
.B
setPageImage(This::wxChoicebook(), N::integer(), ImageId::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebooksetpageimage>\&.
.RE
.LP
.B
setPageText(This::wxChoicebook(), N::integer(), StrText::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebooksetpagetext>\&.
.RE
.LP
.B
setSelection(This::wxChoicebook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebooksetselection>\&.
.RE
.LP
.B
changeSelection(This::wxChoicebook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoicebook\&.html#wxchoicebookchangeselection>\&.
.RE
.LP
.B
destroy(This::wxChoicebook()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
